﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace WindowsFormsApplication17
{
    public partial class Form1 : Form
    {
        private Infragistics.Win.UltraWinSchedule.Owner ownerA;
        private Infragistics.Win.UltraWinSchedule.Owner ownerB;

        public Form1()
        {
            InitializeComponent();

            ultraCalendarInfo1.AllowRecurringAppointments = true;
            ultraCalendarInfo2.AllowRecurringAppointments = true;
            ultraCalendarInfo2.Owners[0].Visible = false;

            ownerA = ultraCalendarInfo1.Owners.Add("Owner A");
            ownerB = ultraCalendarInfo2.Owners.Add("Owner B");

            Appointment app = ultraCalendarInfo1.Appointments.Add(new DateTime(2013, 11, 23), new DateTime(2013, 11, 24), "AAAA");
            AppointmentRecurrence rec = new AppointmentRecurrence();
            app.Recurrence = rec;
            app.Owner = ownerA;
            rec.OccurrenceDuration = new TimeSpan(5, 0, 0);
            rec.OccurrenceStartTime = new DateTime(2013, 11, 25);
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {

            foreach (Appointment app in ultraCalendarInfo2.Appointments)
            {
                if (app.Tag == "OwnerA") ultraCalendarInfo2.Appointments.Remove(app);
            }

            foreach (Appointment app in ultraCalendarInfo1.Appointments)
            {
                byte[] appByteArray = app.Save();
                Appointment appForOwnerB = Appointment.FromBytes(appByteArray);
                appForOwnerB.Owner = ownerB;
                appForOwnerB.Tag = "OwnerA";
                ultraCalendarInfo2.Appointments.Add(appForOwnerB);
            }
        }
    }
}
